MODULE YOMQNSE

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!*
!  ---------------------------------------------------------------------
!  This comdeck contains the fit of R in QNSE scheme
!  ---------------------------------------------------------------------

!R at neutrality
REAL(KIND=JPRB),PARAMETER :: RQNSE_S0=0.359_JPRB

!fit of R(Ri) for QNSE
!unstable stratification
REAL(KIND=JPRB),PARAMETER :: RQNSE_GU1=-0.24_JPRB
REAL(KIND=JPRB),PARAMETER :: RQNSE_GU2=-0.53_JPRB

!stable stratification
REAL(KIND=JPRB),PARAMETER :: RQNSE_GS1=8.8_JPRB
REAL(KIND=JPRB),PARAMETER :: RQNSE_GS2=0.13_JPRB
REAL(KIND=JPRB),PARAMETER :: RQNSE_GS3=20.0_JPRB
REAL(KIND=JPRB),PARAMETER :: RQNSE_GS4=0.5_JPRB


!*
!  ---------------------------------------------------------------------
!  In addition it contains also the horizontal fits for CHI_H and PHI_H
!  ---------------------------------------------------------------------

REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_S1=53.36526315789474_JPRB
REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_S2=0.5_JPRB
REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_S3=41.36842105263158_JPRB
REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_S4=0.26_JPRB

REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_U1=5.920658733590733_JPRB
REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_U2=0.35_JPRB
REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_U3=11.84131746718147_JPRB
REAL(KIND=JPRB),PARAMETER :: CHIHQNSE_U4=0.41_JPRB


REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_A=1.39_JPRB

REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_S1=100._JPRB/PHIHQNSE_A
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_S2=29.33364802147613_JPRB/PHIHQNSE_A
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_S3=3.219235588357821E-1_JPRB/PHIHQNSE_A
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_S4=37.50654877039834_JPRB
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_S5=22.35993279163294_JPRB
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_S6=8.494707997425749E-2_JPRB

REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_U1=8.961558416393196_JPRB/PHIHQNSE_A
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_U2=0.2_JPRB/PHIHQNSE_A
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_U3=7.46796534699433_JPRB
REAL(KIND=JPRB),PARAMETER :: PHIHQNSE_U4=1.726618705035971E-1_JPRB

END MODULE YOMQNSE
